<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpImageComboBox: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimpui.html" title="Part II. GIMP User Interface Library">
<link rel="prev" href="libgimp-GimpItemComboBox.html" title="GimpItemComboBox">
<link rel="next" href="GimpProgressBar.html" title="GimpProgressBar">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpImageComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpImageComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpImageComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpui.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimp-GimpItemComboBox.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpProgressBar.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpImageComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpImageComboBox.top_of_page"></a>GimpImageComboBox</span></h2>
<p>GimpImageComboBox — A widget providing a popup menu of images.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpImageComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<span class="c_punctuation">(</span><a class="link" href="GimpImageComboBox.html#GimpImageConstraintFunc" title="GimpImageConstraintFunc ()">*GimpImageConstraintFunc</a><span class="c_punctuation">)</span> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpImageComboBox.html#gimp-image-combo-box-new" title="gimp_image_combo_box_new ()">gimp_image_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpImageComboBox.html#GimpImageComboBox-struct" title="GimpImageComboBox">GimpImageComboBox</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct">GtkComboBox</a>
                            <span class="lineart">╰──</span> <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct">GimpIntComboBox</a>
                                <span class="lineart">╰──</span> GimpImageComboBox
</pre>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpImageComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.description"></a><h2>Description</h2>
<p>A widget providing a popup menu of images.</p>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="GimpImageConstraintFunc"></a><h3>GimpImageConstraintFunc ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
<span class="c_punctuation">(</span>*GimpImageConstraintFunc<span class="c_punctuation">)</span> (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint32"><span class="type">gint32</span></a> image_id</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-image-combo-box-new"></a><h3>gimp_image_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_image_combo_box_new (<em class="parameter"><code><a class="link" href="GimpImageComboBox.html#GimpImageConstraintFunc" title="GimpImageConstraintFunc ()"><span class="type">GimpImageConstraintFunc</span></a> constraint</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Creates a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a> filled with all currently opened
images. If a <em class="parameter"><code>constraint</code></em>
 function is specified, it is called for
each image and only if the function returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, the image is
added to the combobox.</p>
<p>You should use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-connect"><code class="function">gimp_int_combo_box_connect()</code></a> to initialize and
connect the combo. Use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-set-active"><code class="function">gimp_int_combo_box_set_active()</code></a> to get the
active image ID and <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-get-active"><code class="function">gimp_int_combo_box_get_active()</code></a> to retrieve the
ID of the selected image.</p>
<div class="refsect3">
<a name="gimp-image-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>constraint</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpImageComboBox.html#GimpImageConstraintFunc" title="GimpImageConstraintFunc ()"><span class="type">GimpImageConstraintFunc</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>a pointer that is passed to <em class="parameter"><code>constraint</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-image-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpImageComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpImageComboBox-struct"></a><h3>GimpImageComboBox</h3>
<pre class="programlisting">typedef struct _GimpImageComboBox GimpImageComboBox;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>